curl --request GET \
--url https://api.llmrouter.app/v1/models \
--header 'Authorization: Bearer <token>'{
"object": "list",
"data": [
{
"id": "anthropic/opus-4.6",
"name": "<string>",
"provider": "<string>",
"pricing": {
"input": "<unknown>",
"output": "<unknown>",
"input_cache_read": "<unknown>",
"input_cache_write": "<unknown>",
"web_search": "<unknown>",
"image": "<unknown>",
"input_tiers": [
{
"min": 123,
"max": 123,
"price": "<string>"
}
],
"output_tiers": [
{
"min": 123,
"max": 123,
"price": "<string>"
}
]
},
"api_compatibility": [
"chat-completion"
],
"capabilities": [
"tool-use"
],
"description": "<unknown>",
"created": 123,
"context_window": "<unknown>",
"max_tokens": "<unknown>",
"zdr": "<unknown>",
"latency_p50_last_30m": "<unknown>",
"throughput_p50_last_30m": "<unknown>",
"uptime_last_30m": "<unknown>",
"providers": [
{
"provider": "<string>",
"latency_p50_last_30m": 123,
"throughput_p50_last_30m": 123,
"uptime_last_30m": 123
}
]
}
]
}Returns a list of all models currently available through the LLM Router gateway.
curl --request GET \
--url https://api.llmrouter.app/v1/models \
--header 'Authorization: Bearer <token>'{
"object": "list",
"data": [
{
"id": "anthropic/opus-4.6",
"name": "<string>",
"provider": "<string>",
"pricing": {
"input": "<unknown>",
"output": "<unknown>",
"input_cache_read": "<unknown>",
"input_cache_write": "<unknown>",
"web_search": "<unknown>",
"image": "<unknown>",
"input_tiers": [
{
"min": 123,
"max": 123,
"price": "<string>"
}
],
"output_tiers": [
{
"min": 123,
"max": 123,
"price": "<string>"
}
]
},
"api_compatibility": [
"chat-completion"
],
"capabilities": [
"tool-use"
],
"description": "<unknown>",
"created": 123,
"context_window": "<unknown>",
"max_tokens": "<unknown>",
"zdr": "<unknown>",
"latency_p50_last_30m": "<unknown>",
"throughput_p50_last_30m": "<unknown>",
"uptime_last_30m": "<unknown>",
"providers": [
{
"provider": "<string>",
"latency_p50_last_30m": 123,
"throughput_p50_last_30m": 123,
"uptime_last_30m": 123
}
]
}
]
}